- Qt 6.10
- Qt Test
- C++ Classes
- QtTestLib
- ThrowOnSkipDisabler
- Qt 6.10.0 Reference Documentation

# QTest::ThrowOnSkipDisabler Class

class QTest::ThrowOnSkipDisabler

Header: | `#include <ThrowOnSkipDisabler>`
Since: | Qt 6.8

- List of all members, including inherited members

## Public Functions

| ThrowOnSkipDisabler()
| ~ThrowOnSkipDisabler()

## Detailed Description

RAII class around setThrowOnSkip().

## Member Function Documentation

### ThrowOnSkipDisabler::ThrowOnSkipDisabler()

Constructor. Calls `setThrowOnSkip(false)`.

### `[noexcept]` ThrowOnSkipDisabler::~ThrowOnSkipDisabler()

Destructor. Calls `setThrowOnSkip(true)`.